Name:           python-fstd2nc
Version:        0.20250310.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Converts RPN standard files (from Environment Canada) to netCDF files.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/neishm/fstd2nc
Source:         %{pypi_source fstd2nc}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fstd2nc' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fstd2nc
Summary:        %{summary}

%description -n python3-fstd2nc %_description


%prep
%autosetup -p1 -n fstd2nc-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fstd2nc -f %{pyproject_files}


%changelog
%autochangelog